QGIS Application - Feature request #10656
Atlas : geometryless or raster layer should not be listed in coverage layer list
2014-06-20 02:09 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 19055
Description

The coverage layer lists all the layers used in the project even if there are rasters or geometryless ones.
As those layers can't be used there, they should be filtered.

Associated revisions

Revision 1f12d00e - 2014-06-21 07:14 AM - Nyall Dawson

Invalidate model filter when setting filter for QgsMapLayerComboBox, fixes filters not correctly applying to layers in combo box (fix #10656)

History

#1 - 2014-06-20 10:14 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"1f12d00ebde7a47fd1b4ce5db9c1c95f2e1ec3c3".

#2 - 2014-06-20 10:15 PM - Nyall Dawson

Note - I've left the choice of geometryless tables, since there's a very valid use case for that (think "mail-merge" style atlases, where a map doesn't change
but details surrounding the map do).
